package com.tzld.piaoquan.recommend.sort.handle;

import com.alibaba.csp.sentinel.adapter.spring.webmvc.callback.BlockExceptionHandler;
import com.alibaba.csp.sentinel.slots.block.BlockException;
import com.tzld.piaoquan.recommend.sort.common.enums.ExceptionEnum;
import com.tzld.piaoquan.recommend.sort.common.exception.CommonException;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Component
public class SentinelBlockExceptionHandler implements BlockExceptionHandler {

    @Override
    public void handle(HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse,
                       BlockException e) throws Exception {
        throw new CommonException(ExceptionEnum.FLOW_CONTROL);
    }
}

